org.apache.mina.proxy

## Class AbstractProxyIoHandler

- java.lang.Object
- - org.apache.mina.core.service.IoHandlerAdapter
  - - org.apache.mina.proxy.AbstractProxyIoHandler

- All Implemented Interfaces:
    IoHandler

      public abstract class AbstractProxyIoHandler
      extends IoHandlerAdapter

  AbstractProxyIoHandler.java - `IoHandler` that intercepts events until handshake is complete.
  Since:
    MINA 2.0.0-M3
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractProxyIoHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `proxySessionOpened(IoSession session)` Method called only when handshake has completed.
    `void` | `sessionOpened(IoSession session)` Hooked session opened event.

    - ### Methods inherited from class org.apache.mina.core.service.IoHandlerAdapter

      `exceptionCaught, messageReceived, messageSent, sessionClosed, sessionCreated, sessionIdle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractProxyIoHandler

          public AbstractProxyIoHandler()

  - ### Method Detail

    - #### proxySessionOpened

          public abstract void proxySessionOpened(IoSession session)
                                           throws Exception

      Method called only when handshake has completed.
      Parameters:
        `session` - the io session
      Throws:
        `Exception`

    - #### sessionOpened

          public final void sessionOpened(IoSession session)
                                   throws Exception

      Hooked session opened event.
      Specified by:
        `sessionOpened` in interface `IoHandler`
      Overrides:
        `sessionOpened` in class `IoHandlerAdapter`
      Parameters:
        `session` - the io session
      Throws:
        `Exception`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.